#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n, k, x, br = 0;
    map<int, int> polja;

    scanf("%d%d", &n, &k);

    for(int i = 0; i < n; ++i)
    {
        scanf("%d", &x);
        polja[x]++;
        if(polja[x] == k) br++;
    }

    printf("%d \n", br);

    for(auto it : polja) if(it.second >= k) printf("%d ", it.first);

    return 0;
}